## python-astropy 1.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

#This is needed with git because git doesn't create a dir if it's empty
$(shell [ -d "_static" ] || mkdir -p _static)

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf api

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Astropy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Astropy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Astropy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Astropy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	@echo "Run 'python setup.py test' in the root directory to run doctests " \
	@echo "in the documentation."

## python-astropy 0.2.3

=== debian/changelog ===
python-astropy (0.2.3-1) unstable; urgency=low

  * New upstream version; incorporates all previous patches

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 07 Jun 2013 14:40:05 +0200

python-astropy (0.2.1-1) unstable; urgency=low

  * Fix FTBS (unit test failure) on HURD
  * Change distribution to unstable

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 30 Apr 2013 10:36:01 +0200

python-astropy (0.2.1-1~exp6) experimental; urgency=low

  * Fix FTBS (unit test failure) on MIPS

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 26 Apr 2013 09:57:59 +0200

python-astropy (0.2.1-1~exp5) experimental; urgency=low

  * Fix FTBS (unit test failure) on bigendian machines

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 22 Apr 2013 19:37:00 +0200

python-astropy (0.2.1-1~exp4) experimental; urgency=low

  * Fix FTBS (unit test failure) on Hurd

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 14 Apr 2013 18:39:00 +0200

python-astropy (0.2.1-1~exp3) experimental; urgency=low

  * Suggest optional packages

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 14 Apr 2013 12:17:00 +0200

python-astropy (0.2.1-1~exp2) experimental; urgency=low

  * increase test verbosity to catch bigendian FTBS

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 10 Apr 2013 16:21:00 +0200

python-astropy (0.2.1-1~exp1) experimental; urgency=low

  * New upstream release
  * Infrastructure to build python3 packages (but py3 still disabled)
  * Fix FTBS: set a writeable HOME + MPLCONFIGDIR

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 10 Apr 2013 09:10:00 +0200

python-astropy (0.2~b2-1) experimental; urgency=low

  * Initial release. (Closes: #678168)

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 30 Jan 2013 10:00:00 +0100

=== debian/control ===
Source: python-astropy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: cython,
               debhelper (>= 9),
               graphviz,
               libcfitsio3-dev,
               libexpat1-dev,
               libsofa-c-dev,
               pkg-config,
               python-all-dev (>= 2.6.6-3~),
               python-matplotlib,
               python-nose,
               python-numpy (>= 1.4),
               python-setuptools (>= 0.6.4),
               python-sphinx (>= 1.0.7+dfsg),
               python-support,
               python3-all-dev,
               python3-nose,
               python3-numpy (>= 1:1.6.2),
               python3-setuptools (>= 0.6.4),
               wcslib-dev (>= 4.10),
               zlib1g-dev
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://astropy.org
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-astropy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/python-astropy.git

Package: python-astropy
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: python-astropy-doc, python-h5py, python-scipy, libxml2-utils
Description: Core functionality for performing astrophysics with Python
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 It is expected to be extended by a number of "affiliated packages" that are
 intended to work with the core package.
 .
 The current release is a developer preview.

Package: python-astropy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Core functionality for performing astrophysics with Python (doc)
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 It is expected to be extended by a number of "affiliated packages" that are
 intended to work with the core package.
 .
 This package contains the package documentation.

Package: python-astropy-legacy
Architecture: all
Depends: python-astropy, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Conflicts: python-pyfits, python-pywcs
Provides: python-pyfits, python-pywcs, python-vo.table
Priority: extra
Description: Astropy legacy modules for pyfits, pywcs, and vo.table
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 .
 This package is a wrapper that provides legacy packages for pyfits, pywcs,
 and vo.table for older applications.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2:=$(shell pyversions -vr)
PYTHON3:=$(shell py3versions -vr)

# set the MPLCONFIGDIR to avoid writing into non writable location
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

%:
	dh $@ --with python2,python3,sphinxdoc

build-python%:
	python$* setup.py build --use-system-libraries --enable-legacy

# We need to build python2 first, since cython is currently only available for 
# python2, and we need cython to (re-) generate some of the C files.
override_dh_auto_build: $(PYTHON2:%=build-python%) $(PYTHON3:%=build-python%)
	#dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install
	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/astropy/sphinx/themes/bootstrap-astropy/static/*.png

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy
	dh_numpy3

override_dh_installdocs-indep:
	python setup.py build_sphinx
	dh_installdocs

override_dh_sphinxdoc-arch:
	# sphinxdoc is only needed on indep and does not work here.

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build astropy.egg-info
	rm -rf docs/_build docs/_generated

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv --args -v

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

=== debian/watch ===
# watch control file for uscan
version=3
http://www.astropy.org/ .+/astropy-(.+)\.tar\.gz debian uupdate

## python-astropy 0.2.4

=== debian/changelog ===
python-astropy (0.2.4-3) unstable; urgency=low

  * Fix "Conflicts" of python3-astropy-legacy. Closes: #719770

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 15 Aug 2013 14:33:37 +0200

python-astropy (0.2.4-2) unstable; urgency=low

  * Enable python3 packages

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 05 Aug 2013 21:04:23 +0200

python-astropy (0.2.4-1) unstable; urgency=low

  * New upstream version.

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 26 Jul 2013 17:41:26 +0200

python-astropy (0.2.3-2~1) experimental; urgency=low

  * Fix FTBS on MIPS and MIPSEL

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 21 Jun 2013 16:31:15 +0200

=== debian/control ===
--- 
+++ 
@@ -42,6 +42,18 @@
  .
  The current release is a developer preview.
 
+Package: python3-astropy
+Architecture: any
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Suggests: python-astropy-doc
+Description: Core functionality for performing astrophysics with Python3
+ The astropy package contains core functionality and some common tools
+ needed for performing astronomy and astrophysics research with Python3.
+ It is expected to be extended by a number of "affiliated packages" that are
+ intended to work with the core package.
+ .
+ The current release is a developer preview.
+
 Package: python-astropy-doc
 Architecture: all
 Section: doc
@@ -66,3 +78,16 @@
  .
  This package is a wrapper that provides legacy packages for pyfits, pywcs,
  and vo.table for older applications.
+
+Package: python3-astropy-legacy
+Architecture: all
+Depends: python3-astropy, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Conflicts: python3-pyfits
+Provides: python3-pyfits, python3-pywcs, python3-vo.table
+Priority: extra
+Description: Astropy legacy modules for pyfits, pywcs, and vo.table (Python3)
+ The astropy package contains core functionality and some common tools
+ needed for performing astronomy and astrophysics research with Python3.
+ .
+ This package is a wrapper that provides legacy packages for pyfits, pywcs,
+ and vo.table for older applications.

## python-astropy 0.3+dfsg

=== debian/changelog ===
python-astropy (0.3+dfsg-3build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:36:28 +0100

python-astropy (0.3+dfsg-3) unstable; urgency=low

  * Re-integrate 0.3-6 fixes which were left out by another mistake :-)

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 24 Jan 2014 11:31:26 +0100

python-astropy (0.3+dfsg-2) unstable; urgency=low

  * Re-integrate 0.3-5 fixes which were left out by mistake

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 24 Jan 2014 11:11:46 +0100

python-astropy (0.3+dfsg-1) unstable; urgency=low

  * Remove sourceless files jqery*.js. Closes: #735770

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 24 Jan 2014 09:43:27 +0100

python-astropy (0.3-6) unstable; urgency=low

  * Fix another FTBS causes on python-3.4.

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 16 Jan 2014 16:27:55 +0100

python-astropy (0.3-5) unstable; urgency=low

  * Include upstream fixes to build on python-3.4. Closes: #734293
  * Upgrade to Standards-Version 3.9.5 (no changes needed)

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 15 Jan 2014 09:57:05 +0100

python-astropy (0.3-4) unstable; urgency=low

  * Mark known s390 failures as xfail.

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 20 Dec 2013 10:43:16 +0100

python-astropy (0.3-3) unstable; urgency=low

  * Fix vo_test.py for big endian.

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 10 Dec 2013 11:23:38 +0100

python-astropy (0.3-2) unstable; urgency=low

  * Fix doctest and mark other known test failures on big endian until
    they get fixed upstream.

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 09 Dec 2013 14:23:04 +0100

python-astropy (0.3-1) unstable; urgency=low

  * New upstream version.
  * Remove legacy packages that are no longer supported upstream.

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 30 Nov 2013 12:56:34 +0100

python-astropy (0.2.5-1) unstable; urgency=low

  * New upstream version.

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 27 Oct 2013 18:29:01 +0100

=== debian/control ===
Source: python-astropy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Section: python
Priority: optional
Build-Depends: cython,
               debhelper (>= 9),
               graphviz,
               libcfitsio3-dev,
               liberfa-dev,
               libexpat1-dev,
               pkg-config,
               python-all-dev (>= 2.6.6-3~),
               python-matplotlib,
               python-nose,
               python-numpy (>= 1.4),
               python-setuptools (>= 0.6.4),
               python-sphinx (>= 1.0.7+dfsg),
               python-support,
               python3-all-dev,
               python3-matplotlib,
               python3-nose,
               python3-numpy (>= 1:1.6.2),
               python3-setuptools (>= 0.6.4),
               python3-tk,
               wcslib-dev (>= 4.20),
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/python-astropy.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-astropy.git
Homepage: http://astropy.org
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-astropy
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: python-astropy-doc,
          python-h5py,
          python-scipy,
          libxml2-utils
Description: Core functionality for performing astrophysics with Python
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 It is expected to be extended by a number of "affiliated packages" that are
 intended to work with the core package.
 .
 The current release is a developer preview.

Package: python3-astropy
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-astropy-doc
Description: Core functionality for performing astrophysics with Python3
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python3.
 It is expected to be extended by a number of "affiliated packages" that are
 intended to work with the core package.
 .
 The current release is a developer preview.

Package: python-astropy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Core functionality for performing astrophysics with Python (doc)
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 It is expected to be extended by a number of "affiliated packages" that are
 intended to work with the core package.
 .
 This package contains the package documentation.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@ --with python2,python3,sphinxdoc
 
 build-python%:
-	python$* setup.py build --use-system-libraries --enable-legacy
+	python$* setup.py build --use-system-libraries
 
 # We need to build python2 first, since cython is currently only available for 
 # python2, and we need cython to (re-) generate some of the C files.
@@ -27,6 +27,9 @@
 override_dh_auto_install: $(PYTHON3:%=install-python%)
 	dh_auto_install
 	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/astropy/sphinx/themes/bootstrap-astropy/static/*.png
+
+override_dh_auto_build:
+	dh_auto_build -- --use-system-libraries
 
 override_dh_shlibdeps:
 	dh_shlibdeps

=== debian/watch ===
# watch control file for uscan
version=3
opts=dversionmangle=s/\+dfsg// \
http://pypi.python.org/packages/source/a/astropy/astropy-([0-9].*)\.tar\.gz debian uupdate

## python-astropy 0.4

=== debian/changelog ===
python-astropy (0.4-4) unstable; urgency=low

  * build-depend on wcslib >= 4.23. Closes: #755485

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 22 Jul 2014 17:22:16 +0200

python-astropy (0.4-3) unstable; urgency=low

  * Revert build-depends-indep since it does not work yet.

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 18 Jul 2014 16:50:55 +0200

python-astropy (0.4-2) unstable; urgency=low

  * Fix locale on build

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 18 Jul 2014 09:16:16 +0200

python-astropy (0.4-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 16 Jul 2014 20:21:39 +0200

python-astropy (0.4~rc2-3) experimental; urgency=low

  * Convert from python-support to dh_python

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 14 Jul 2014 09:46:47 +0200

python-astropy (0.4~rc2-2) experimental; urgency=low

  * Fix FTBS on powerpc, s390

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 13 Jul 2014 18:56:28 +0200

python-astropy (0.4~rc2-1) experimental; urgency=low

  * New upstream prerelease

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 12 Jul 2014 18:51:26 +0200

python-astropy (0.4~rc1-2) UNRELEASED; urgency=medium

  * Fix FTBS on powerpc and s390x

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 09 Jul 2014 13:16:06 +0200

python-astropy (0.4~rc1-1) experimental; urgency=low

  * New upstream prerelease
  * Adjust watch file for prerelease

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 07 Jul 2014 16:07:05 +0200

python-astropy (0.3.2-3) unstable; urgency=low

  * Fix checksum calculation and test on 32-bit

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 17 May 2014 17:05:58 +0200

python-astropy (0.3.2-2) unstable; urgency=low

  * Mark known failures as xfail.
  * Change maintainer and VCS location to debian-astro

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 14 May 2014 14:47:35 +0200

python-astropy (0.3.2-1) unstable; urgency=low

  * New upstream version. Closes: #743554
  * Don't repack since all sources are included now

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 14 May 2014 09:21:18 +0200

python-astropy (0.3.1+dfsg-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 06 Mar 2014 11:40:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,32 @@
 Source: python-astropy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <debian@liska.ath.cx>
 Section: python
 Priority: optional
 Build-Depends: cython,
                debhelper (>= 9),
-               graphviz,
+               dh-python,
+	       graphviz,
                libcfitsio3-dev,
                liberfa-dev,
                libexpat1-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~),
+               python-nose,
                python-matplotlib,
-               python-nose,
                python-numpy (>= 1.4),
                python-setuptools (>= 0.6.4),
                python-sphinx (>= 1.0.7+dfsg),
-               python-support,
                python3-all-dev,
+               python3-nose,
                python3-matplotlib,
-               python3-nose,
                python3-numpy (>= 1:1.6.2),
                python3-setuptools (>= 0.6.4),
-               python3-tk,
-               wcslib-dev (>= 4.20),
+               wcslib-dev (>= 4.23),
                zlib1g-dev
 Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/python-astropy.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-astropy.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/python-astropy.git
+Vcs-Git: git://anonscm.debian.org/debian-astro/packages/python-astropy.git
 Homepage: http://astropy.org
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
@@ -76,4 +74,3 @@
  intended to work with the core package.
  .
  This package contains the package documentation.
-

=== debian/watch ===
# watch control file for uscan
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://pypi.python.org/packages/source/a/astropy/astropy-([0-9].*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## python-astropy 0.4.1+dfsg

=== debian/changelog ===
python-astropy (0.4.1+dfsg-1) unstable; urgency=low

  * New upstream version
  * Exclude precompiled files from source tarball

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 10 Aug 2014 10:22:07 +0200

python-astropy (0.4~rc1-2) experimental; urgency=low

  * Fix FTBS on powerpc and s390x

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 09 Jul 2014 13:16:06 +0200

=== debian/watch ===
# watch control file for uscan
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
dversionmangle=s/\+dfsg// \
http://pypi.python.org/packages/source/a/astropy/astropy-([0-9].*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## python-astropy 0.4.2

=== debian/changelog ===
python-astropy (0.4.2-2) unstable; urgency=medium

  * Don't set defalt SSL protocol in vo/samp/client.py. Closes: #775780

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Jan 2015 21:07:18 +0100

python-astropy (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on libcfitsio-dev instead of libcfitsio3-dev. Closes: #761716
  * Upgrade to Standards-Version 3.9.6 (no changes needed)

 -- Ole Streicher <olebole@debian.org>  Wed, 24 Sep 2014 14:49:35 +0200

python-astropy (0.4.1+dfsg2-1) unstable; urgency=low

  * Remove astropy-helper and use external dependency. Closes: #761055
  * Support numpy 1.9. Closes: #761392
  * Update uploaders email address

 -- Ole Streicher <olebole@debian.org>  Sun, 14 Sep 2014 13:50:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,32 @@
 Source: python-astropy
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <debian@liska.ath.cx>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
 Build-Depends: cython,
                debhelper (>= 9),
                dh-python,
 	       graphviz,
-               libcfitsio3-dev,
+               libcfitsio-dev,
                liberfa-dev,
                libexpat1-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~),
+	       python-astropy-helpers,
                python-nose,
                python-matplotlib,
                python-numpy (>= 1.4),
                python-setuptools (>= 0.6.4),
                python-sphinx (>= 1.0.7+dfsg),
                python3-all-dev,
+	       python3-astropy-helpers,
                python3-nose,
                python3-matplotlib,
                python3-numpy (>= 1:1.6.2),
                python3-setuptools (>= 0.6.4),
-               wcslib-dev (>= 4.23),
+               wcslib-dev (>= 4.24),
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/python-astropy.git
 Vcs-Git: git://anonscm.debian.org/debian-astro/packages/python-astropy.git
 Homepage: http://astropy.org

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 override_dh_auto_install: $(PYTHON3:%=install-python%)
 	dh_auto_install
-	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/astropy/sphinx/themes/bootstrap-astropy/static/*.png
+	find $(CURDIR)/debian/tmp/usr/lib/ -name \*.png -exec rm {} \;
 
 override_dh_auto_build:
 	dh_auto_build -- --use-system-libraries
@@ -49,6 +49,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build astropy.egg-info
+	rm -rf astropy_helpers-*.egg
 	rm -rf docs/_build docs/_generated
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
# watch control file for uscan
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
dversionmangle=s/\+dfsg\d*// \
http://pypi.python.org/packages/source/a/astropy/astropy-([0-9].*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## python-astropy 1.0

=== debian/changelog ===
python-astropy (1.0-1~exp) experimental; urgency=low

  * New upstream version.

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Feb 2015 09:09:44 +0100

python-astropy (1.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Feb 2015 09:26:56 +0100

python-astropy (1.0~rc1-3) experimental; urgency=low

  * Fix last FTBS on Hurd

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Feb 2015 21:41:57 +0100

python-astropy (1.0~rc1-2) experimental; urgency=low

  * Fix FTBS on several platforms
  * Disable failing tests (temporartily)

 -- Ole Streicher <olebole@debian.org>  Sun, 01 Feb 2015 11:13:52 +0100

python-astropy (1.0~rc1-1) experimental; urgency=low

  * New upstream release candidate

 -- Ole Streicher <olebole@debian.org>  Wed, 28 Jan 2015 09:17:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
 Build-Depends: cython,
                debhelper (>= 9),
                dh-python,
-	       graphviz,
+               graphviz,
                libcfitsio-dev,
                liberfa-dev,
                libexpat1-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~),
-	       python-astropy-helpers,
+               python-astropy-helpers,
+               python-matplotlib,
                python-nose,
-               python-matplotlib,
                python-numpy (>= 1.4),
                python-setuptools (>= 0.6.4),
                python-sphinx (>= 1.0.7+dfsg),
                python3-all-dev,
-	       python3-astropy-helpers,
+               python3-astropy-helpers,
+               python3-matplotlib,
                python3-nose,
-               python3-matplotlib,
                python3-numpy (>= 1:1.6.2),
                python3-setuptools (>= 0.6.4),
                wcslib-dev (>= 4.24),
@@ -35,13 +35,8 @@
 
 Package: python-astropy
 Architecture: any
-Depends: ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Suggests: python-astropy-doc,
-          python-h5py,
-          python-scipy,
-          libxml2-utils
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Suggests: libxml2-utils, python-astropy-doc, python-h5py, python-scipy
 Description: Core functionality for performing astrophysics with Python
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.
@@ -52,9 +47,7 @@
 
 Package: python3-astropy
 Architecture: any
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Suggests: python-astropy-doc
 Description: Core functionality for performing astrophysics with Python3
  The astropy package contains core functionality and some common tools
@@ -67,8 +60,7 @@
 Package: python-astropy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Core functionality for performing astrophysics with Python (doc)
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.

=== debian/watch ===
# watch control file for uscan
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
dversionmangle=s/\+dfsg\d*// \
https://pypi.python.org/simple/astropy/ .+/astropy-([0-9].*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## python-astropy 1.0.3

=== debian/changelog ===
python-astropy (1.0.3-2) unstable; urgency=low

  * Fix FTBS with hurd-i386

 -- Ole Streicher <olebole@debian.org>  Wed, 24 Jun 2015 10:38:18 +0200

python-astropy (1.0.3-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Sun, 07 Jun 2015 17:55:56 +0200

python-astropy (1.0.2-1) unstable; urgency=low

  * New upstream version.
  * Create upstream/metadata with bibliographic information
  * Create debci control file
  * New binary package astropy-utils. Conflicts with pyfits-utils.
  * Package png files as well. Closes: #783573
  * switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Apr 2015 22:15:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Build-Depends: cython,
                debhelper (>= 9),
                dh-python,
+	       dh-strip-nondeterminism,
                graphviz,
-               libcfitsio-dev,
-               liberfa-dev,
+               libcfitsio-dev | libcfitsio3-dev,
+               liberfa-dev (>= 1.1.0),
                libexpat1-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~),
@@ -42,8 +43,6 @@
  needed for performing astronomy and astrophysics research with Python.
  It is expected to be extended by a number of "affiliated packages" that are
  intended to work with the core package.
- .
- The current release is a developer preview.
 
 Package: python3-astropy
 Architecture: any
@@ -54,8 +53,6 @@
  needed for performing astronomy and astrophysics research with Python3.
  It is expected to be extended by a number of "affiliated packages" that are
  intended to work with the core package.
- .
- The current release is a developer preview.
 
 Package: python-astropy-doc
 Architecture: all
@@ -68,3 +65,29 @@
  intended to work with the core package.
  .
  This package contains the package documentation.
+
+Package: astropy-utils
+Architecture: all
+Depends: python-astropy, ${misc:Depends}, ${python:Depends}
+Breaks: fitscheck (<< 1:3.1.2-1~),
+        pyfits-utils (<<1:3.3-2~),
+        python-pyfits (<< 1:3.0.7-2~)
+Replaces: fitscheck (<< 1:3.1.2-1~),
+          pyfits-utils (<<1:3.3-2~),
+          python-pyfits (<< 1:3.0.7-2~)
+Description: Command line tools from astropy
+ The astropy package contains core functionality and some common tools
+ needed for performing astronomy and astrophysics research with Python.
+ .
+ This package contains the tools that come with astropy:
+ .
+  * fitscheck: Detect and fix FITS standards violations
+  * fits2bitmap: Create a bitmap file from a FITS image.
+  * fitsdiff: Compare two FITS image files and report the differences in
+    header keywords and data.
+  * fitsheader: Print the header(s) of one or more FITS file(s) to the
+    standard output in a human-readable format.
+  * samp_hub: SAMP Hub Server.
+  * volint: Check a VOTable file for compliance to the VOTable specification
+  * wcslint: Check the WCS keywords in a FITS file for compliance against
+    the standards

=== debian/tests/control ===
Tests: python-astropy
Depends: python-astropy

Tests: python3-astropy
Depends: python3-astropy

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/astropy/astropy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-astropy 1.1

=== debian/changelog ===
python-astropy (1.1-1) unstable; urgency=low

  * New upstream version
  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Sat, 12 Dec 2015 10:02:22 +0100

python-astropy (1.1~rc2-1) experimental; urgency=low

  * New upstream RC version

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Dec 2015 09:29:29 +0100

python-astropy (1.1~rc1-1) experimental; urgency=low

  * New upstream RC version

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Nov 2015 21:09:40 +0100

python-astropy (1.1~b1-1) experimental; urgency=low

  * New upstream beta version
  * [Martin Pitt] Ignore stderr for python3 test to avoid failing on
    the ResourceWarning stderr message. Closes: #803068

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Oct 2015 08:58:30 +0200

python-astropy (1.0.5-2) unstable; urgency=low

  * Fix FTBS on i386

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Oct 2015 15:44:51 +0200

python-astropy (1.0.5-1) unstable; urgency=low

  * New upstream version, providing Python-3.5 compatibility. Closes: #800727
  * Limit wcslib-dev version to pre-5 releases

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Oct 2015 13:26:14 +0200

python-astropy (1.0.4-1) unstable; urgency=low

  * New upstream version
  * Re-enable dh_strip_nondeterminism override. See #791574 for details.

 -- Ole Streicher <olebole@debian.org>  Thu, 27 Aug 2015 10:32:44 +0200

python-astropy (1.0.3-3) unstable; urgency=low

  * Extend Suggests, and build/test-depend on scipy for more extended tests
  * Fix conflicts/replaces of astropy-utils with pyfits-utils. Closes: #790530
  * Temporarily remove dh_strip_nondeterminism
  * Override image-file-in-usr-lib lintian

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Jul 2015 10:46:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,30 @@
 Build-Depends: cython,
                debhelper (>= 9),
                dh-python,
-	       dh-strip-nondeterminism,
+               dh-strip-nondeterminism,
                graphviz,
                libcfitsio-dev | libcfitsio3-dev,
                liberfa-dev (>= 1.1.0),
                libexpat1-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~),
-               python-astropy-helpers,
+               python-astropy-helpers (>= 1.1~),
                python-matplotlib,
                python-nose,
                python-numpy (>= 1.4),
+               python-pytest,
+               python-scipy,
                python-setuptools (>= 0.6.4),
                python-sphinx (>= 1.0.7+dfsg),
                python3-all-dev,
-               python3-astropy-helpers,
+               python3-astropy-helpers (>= 1.1~),
                python3-matplotlib,
                python3-nose,
                python3-numpy (>= 1:1.6.2),
+               python3-pytest,
+               python3-scipy,
                python3-setuptools (>= 0.6.4),
+               wcslib-dev (<< 5) | wcslib-dev (>= 5.8),
                wcslib-dev (>= 4.24),
                zlib1g-dev
 Standards-Version: 3.9.6
@@ -37,7 +42,16 @@
 Package: python-astropy
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Suggests: libxml2-utils, python-astropy-doc, python-h5py, python-scipy
+Suggests: libxml2-utils,
+          python-astropy-doc,
+          python-beautifulsoup,
+          python-h5py,
+          python-matplotlib,
+          python-pandas,
+          python-scipy,
+          python-tz,
+          python-wcsaxes,
+          python-yaml
 Description: Core functionality for performing astrophysics with Python
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.
@@ -47,7 +61,16 @@
 Package: python3-astropy
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Suggests: python-astropy-doc
+Suggests: libxml2-utils,
+          python3-astropy-doc,
+          python3-beautifulsoup,
+          python3-h5py,
+          python3-matplotlib,
+          python3-pandas,
+          python3-scipy,
+          python3-tz,
+          python3-wcsaxes,
+          python3-yaml
 Description: Core functionality for performing astrophysics with Python3
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python3.
@@ -68,13 +91,14 @@
 
 Package: astropy-utils
 Architecture: all
+Section: science
 Depends: python-astropy, ${misc:Depends}, ${python:Depends}
 Breaks: fitscheck (<< 1:3.1.2-1~),
-        pyfits-utils (<<1:3.3-2~),
-        python-pyfits (<< 1:3.0.7-2~)
+        pyfits-utils (<<1:3.3-4~),
+        python-pyfits (<< 1:3.0.7-4~)
 Replaces: fitscheck (<< 1:3.1.2-1~),
-          pyfits-utils (<<1:3.3-2~),
-          python-pyfits (<< 1:3.0.7-2~)
+          pyfits-utils (<<1:3.3-4~),
+          python-pyfits (<< 1:3.0.7-4~)
 Description: Command line tools from astropy
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.

## python-astropy 1.1.1

=== debian/changelog ===
python-astropy (1.1.1-3) unstable; urgency=medium

  * Fix for newer pytest. Closes: #812648
  * Fix for wcslib 5.13
  * Fix for known test issue with new numpy
  * Push standards-version to 3.9.7. No changes needed.
  * Adjust VCS entries in d/control

 -- Ole Streicher <olebole@debian.org>  Sun, 14 Feb 2016 15:09:01 +0100

python-astropy (1.1.1-2) unstable; urgency=low

  * Fix dependency of python-astropy-utils on python-astropy
  * Finally fix test failure
  * Switch back to unstable since bugfix is approved upstream

 -- Ole Streicher <olebole@debian.org>  Thu, 14 Jan 2016 23:06:52 +0100

python-astropy (1.1.1-1~exp1) experimental; urgency=low

  * New upstream version
  * Depend python-astropy-utils on python-astropy of the same version.
    Closes: #807834
  * Revert astropy.wcs to 1.1 to workaround test failure
  * Switch to experimental since WCS seems to be buggy

 -- Ole Streicher <olebole@debian.org>  Thu, 14 Jan 2016 11:14:05 +0100

=== debian/control ===
--- 
+++ 
@@ -32,16 +32,18 @@
                wcslib-dev (<< 5) | wcslib-dev (>= 5.8),
                wcslib-dev (>= 4.24),
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/python-astropy.git
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/python-astropy.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/python-astropy.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/python-astropy.git
 Homepage: http://astropy.org
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-astropy
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Suggests: libxml2-utils,
           python-astropy-doc,
           python-beautifulsoup,
@@ -60,7 +62,9 @@
 
 Package: python3-astropy
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Suggests: libxml2-utils,
           python3-astropy-doc,
           python3-beautifulsoup,
@@ -80,7 +84,8 @@
 Package: python-astropy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: Core functionality for performing astrophysics with Python (doc)
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.
@@ -92,7 +97,10 @@
 Package: astropy-utils
 Architecture: all
 Section: science
-Depends: python-astropy, ${misc:Depends}, ${python:Depends}
+Depends: python-astropy (<< ${source:Version}.1~),
+         python-astropy (>= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Breaks: fitscheck (<< 1:3.1.2-1~),
         pyfits-utils (<<1:3.3-4~),
         python-pyfits (<< 1:3.0.7-4~)

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,6 @@
 
 override_dh_auto_install: $(PYTHON3:%=install-python%)
 	dh_auto_install
-	find $(CURDIR)/debian/tmp/usr/lib/ -name \*.png -exec rm {} \;
 
 override_dh_auto_build:
 	dh_auto_build -- --use-system-libraries
@@ -58,3 +57,6 @@
 
 override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
 endif
+
+override_dh_strip_nondeterminism:
+	dh_strip_nondeterminism -Xinvalid.dat.gz

=== debian/tests/control ===
Tests: python-astropy
Depends: python-astropy, python-scipy

Tests: python3-astropy
Depends: python3-astropy, python3-scipy
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/ \
http://pypi.debian.net/astropy/astropy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-astropy 1.2.1

=== debian/changelog ===
python-astropy (1.2.1-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Jun 2016 09:48:06 +0200

python-astropy (1.2-1) unstable; urgency=low

  * New upstream version. Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Jun 2016 15:10:14 +0200

python-astropy (1.2~rc1-3) experimental; urgency=low

  * Re-enable unfixed yet tests

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Jun 2016 14:06:19 +0200

python-astropy (1.2~rc1-2) experimental; urgency=low

  * Temporarily disable all xfail marks

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Jun 2016 21:32:33 +0200

python-astropy (1.2~rc1-1) experimental; urgency=low

  * New upstream RC. Switch to experimental
  * Install Python 3 versions of the scripts
  * Push Standards-Version to 3.9.8. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Jun 2016 10:32:16 +0200

python-astropy (1.1.2-1) unstable; urgency=low

  * Add ASCL-Id
  * New upstream version
  * Fix cfitsio related tests. Closes: #816715

 -- Ole Streicher <olebole@debian.org>  Fri, 11 Mar 2016 10:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                wcslib-dev (<< 5) | wcslib-dev (>= 5.8),
                wcslib-dev (>= 4.24),
                zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/python-astropy.git
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/python-astropy.git
 Homepage: http://astropy.org
@@ -66,7 +66,7 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Suggests: libxml2-utils,
-          python3-astropy-doc,
+          python-astropy-doc,
           python3-beautifulsoup,
           python3-h5py,
           python3-matplotlib,
@@ -97,10 +97,10 @@
 Package: astropy-utils
 Architecture: all
 Section: science
-Depends: python-astropy (<< ${source:Version}.1~),
-         python-astropy (>= ${source:Version}),
+Depends: python3-astropy (<< ${source:Version}.1~),
+         python3-astropy (>= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Breaks: fitscheck (<< 1:3.1.2-1~),
         pyfits-utils (<<1:3.3-4~),
         python-pyfits (<< 1:3.0.7-4~)
